Content analytics

One day's total against its normal level, the top posts and everyone else

GET/api/public/v1/content/day_breakdown
LiveAnswers from your brand's records now.

Operation id getContentDayBreakdown

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/day_breakdown" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter
datequerystring (date)
metricquerystringOne of viewslikescommentssharessaves
baseline_daysqueryinteger
limitqueryinteger

Responses

200Success

FieldTypeNotes
dataobject
data.baselinenumber
data.datestring (date)
data.metricstring
data.new_postsinteger
data.othersobject
data.others.countinteger
data.others.gaininteger
data.others.sharenumber
data.posts_with_gaininteger
data.rationumber, nullable
data.toparray of object
data.top[].[].avatar_urlstring, nullable
data.top[].[].creator_namestring, nullable
data.top[].[].gaininteger
data.top[].[].lifetime_totalinteger
data.top[].[].platformstring
data.top[].[].post_urlstring, nullable
data.top[].[].posted_atstring (date-time), nullable
data.top[].[].sharenumber
data.top[].[].social_post_idstring
data.top[].[].thumbnail_urlstring, nullable
data.top[].[].user_idinteger, nullable
data.top[].[].usernamestring, nullable
data.totalinteger
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "baseline": 125.5,
    "date": "2026-11-01",
    "metric": "string",
    "new_posts": 3,
    "others": {
      "count": 3,
      "gain": 3,
      "share": 125.5
    },
    "posts_with_gain": 3,
    "ratio": 125.5,
    "top": [
      {
        "avatar_url": "https://example.com/p/1",
        "creator_name": "Example name",
        "gain": 3,
        "lifetime_total": 3,
        "platform": "string",
        "post_url": "https://example.com/p/1",
        "posted_at": "2026-11-01T15:04:05Z",
        "share": 125.5,
        "social_post_id": "string",
        "thumbnail_url": "https://example.com/p/1",
        "user_id": 1024,
        "username": "Example name"
      }
    ],
    "total": 3
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.